Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.graph.request
Class CompositeRequestChannel.ChannelCompositeRequest

    java.lang.Object
      org.modeshape.graph.request.Request
          org.modeshape.graph.request.CompositeRequest
              org.modeshape.graph.request.CompositeRequestChannel.ChannelCompositeRequest

All Implemented Interfaces:
  Serializable, Iterable<Request>

Enclosing class:
  CompositeRequestChannel

    protected class CompositeRequestChannel.ChannelCompositeRequest

extends CompositeRequest

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.modeshape.graph.request.CompositeRequest
`UNKNOWN_NUMBER_OF_REQUESTS`

Constructor Summary
`protected` | `CompositeRequestChannel.ChannelCompositeRequest(boolean readOnly)`

Method Summary
`void` | `cancel()` Cancel this request.
`List<Request>` | `getRequests()` Return the unmodifiable requests contained in this composite request.
`boolean` | `hasError()` Return whether there is an error associated with this request
`Iterator<Request>` | `iterator()`
`void` | `setError(Throwable error)` Set the error for this request.
`int` | `size()` Get the number of requests.

Methods inherited from class org.modeshape.graph.request.CompositeRequest
`add, add, checkForErrors, equals, getType, isReadOnly, toString, with, with, with`

Methods inherited from class org.modeshape.graph.request.Request
`checkNotFrozen, freeze, getError, isCancelled, isFrozen, printable, printable, setLatchForFreezing`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CompositeRequestChannel.ChannelCompositeRequest

    protected CompositeRequestChannel.ChannelCompositeRequest(boolean readOnly)

Method Detail

### iterator

    public Iterator<Request> iterator()

  Specified by:
    `iterator` in interface `Iterable<Request>`
  Overrides:
    `iterator` in class `CompositeRequest`
  See Also:
    `CompositeRequest.iterator()`

### getRequests

    public List<Request> getRequests()

  Return the unmodifiable requests contained in this composite request.

  Overrides:
    `getRequests` in class `CompositeRequest`
  Returns:
    requests
  See Also:
    `CompositeRequest.getRequests()`

### size

    public int size()

  Get the number of requests.

  Overrides:
    `size` in class `CompositeRequest`
  Returns:
    the number of requests
  See Also:
    `CompositeRequest.size()`

### cancel

    public void cancel()

  Cancel this request. After this method is called, the `cancellation flag` is set, and any current or future processing of the request may be affected by the cancellation. (Note however, that processors may choose to not respect this request.)

  This method is safe to be called by different threads.

  Overrides:
    `cancel` in class `Request`
  See Also:
    `Request.cancel()`

### setError

    public void setError(Throwable error)

  Set the error for this request.

  Overrides:
    `setError` in class `Request`
  Parameters:
    `error` - the error to be associated with this request, or null if this request is to have no error
  See Also:
    `Request.setError(java.lang.Throwable)`

### hasError

    public boolean hasError()

  Return whether there is an error associated with this request

  Overrides:
    `hasError` in class `Request`
  Returns:
    true if there is an error, or false otherwise
  See Also:
    `Request.hasError()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.